#!/usr/bin/perl

my $file = shift @ARGV;

open(I,"<$file") or exit(1);
binmode(I);
my $line = <I>;
close(I);

$line =~ s/(ninox-\d+\.\d+\.)(\d+)/sprintf("%s%d",$1,$2+1)/e;

open(O,">$file");
binmode(O);
print O $line;
close(O);

print $line;
